## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

Name:           rust2rpm
Version:        24.3.0
Release:        1%{?dist}.2
Summary:        Generate RPM spec files for Rust crates
License:        MIT

URL:            https://pagure.io/fedora-rust/rust2rpm
Source:         %{url}/archive/v%{version}/rust2rpm-%{version}.tar.gz
Patch0:         rust2rpm-python3.9-compat.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%if %{with check}
BuildRequires:  cargo
%endif

Requires:       cargo
Requires:       cargo-rpm-macros

# obsolete old provides (removed in Fedora 38)
Obsoletes:      cargo-inspector < 24

# obsolete and / or provide removed Python subpackages (removed in Fedora 38)
%py_provides    python3-rust2rpm
Obsoletes:      python3-rust2rpm < 24
Obsoletes:      python3-rust2rpm-core < 24

%description
rust2rpm is a tool that automates the generation of RPM spec files for
Rust crates.

%prep
%autosetup -p1
# Needed for importlib
touch rust2rpm/tests/samples/__init__.py

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rust2rpm

%check
%pyproject_check_import
%if %{with check}
%tox
%endif

%files -f %{pyproject_files}
%doc README.md
%doc NEWS
%{_bindir}/rust2rpm

%changelog
* Tue Apr  4 2023 Oleg Girko <ol@infoserver.lv> - 24.3.0-2
- Require pyproject-rpm-macros explicitly for build
- Add patch for Python 3.9 compatibility
- Create rust2rpm/tests/samples/__init__.py file for importlib compatibility
* Sun Apr  2 2023 Fabio Valentini <decathorpe@gmail.com> - 24.3.0-1
- Update to version 24.3.0; Fixes RHBZ#2183736
* Tue Mar 21 2023 Fabio Valentini <decathorpe@gmail.com> - 24.2.0-1
- Update to version 24.2.0; Fixes RHBZ#2180212
* Mon Mar  6 2023 Fabio Valentini <decathorpe@gmail.com> - 24.1.0-1
- Update to version 24.1.0; Fixes RHBZ#2175278
* Thu Feb 16 2023 Fabio Valentini <decathorpe@gmail.com> - 24.0.2-1
- Update to version 24.0.2
* Thu Feb 16 2023 Fabio Valentini <decathorpe@gmail.com> - 24.0.1-1
- Update to version 24.0.1
* Thu Feb 16 2023 Fabio Valentini <decathorpe@gmail.com> - 24.0.0-1
- Initial import (#2170204)
